Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.signature.resolvers
Class SAMLAssertionKeyResolver

    java.lang.Object
      org.apache.xml.security.keys.keyresolver.KeyResolverSpi
          be.fgov.ehealth.technicalconnector.signature.resolvers.SAMLAssertionKeyResolver

    public class SAMLAssertionKeyResolver

extends org.apache.xml.security.keys.keyresolver.KeyResolverSpi

Constructor Summary
`SAMLAssertionKeyResolver()`

Method Summary
`boolean` | `engineCanResolve(Element sigElement, String baseURI, org.apache.xml.security.keys.storage.StorageResolver storage)`
`X509Certificate` | `engineResolveX509Certificate(Element sigElement, String baseURI, org.apache.xml.security.keys.storage.StorageResolver storage)`
`Node` | `extract(Element sigElement)`

Methods inherited from class org.apache.xml.security.keys.keyresolver.KeyResolverSpi
`engineGetProperty, engineLookupAndResolvePrivateKey, engineLookupAndResolvePublicKey, engineLookupAndResolveSecretKey, engineLookupResolveX509Certificate, engineResolvePublicKey, engineResolveSecretKey, engineSetProperty, setGlobalResolver, setSecureValidation, understandsProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMLAssertionKeyResolver

    public SAMLAssertionKeyResolver()

Method Detail

### engineCanResolve

    public boolean engineCanResolve(Element sigElement,
                                    String baseURI,
                                    org.apache.xml.security.keys.storage.StorageResolver storage)

  Overrides:
    `engineCanResolve` in class `org.apache.xml.security.keys.keyresolver.KeyResolverSpi`

### extract

    public Node extract(Element sigElement)

### engineResolveX509Certificate

    public X509Certificate engineResolveX509Certificate(Element sigElement,
                                                        String baseURI,
                                                        org.apache.xml.security.keys.storage.StorageResolver storage)
                                                 throws org.apache.xml.security.keys.keyresolver.KeyResolverException

  Overrides:
    `engineResolveX509Certificate` in class `org.apache.xml.security.keys.keyresolver.KeyResolverSpi`
  Throws:
    `org.apache.xml.security.keys.keyresolver.KeyResolverException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.